Description

We decided the CN should not call MN.archive() when it harvests SM from nodes and tries to inform other replicas about the change.
It will only alert them that sysMeta has been updated. So we can either update the flag on the MN replica, or we can call
MN.archive() ourself in response.

If we don't call MN.archive() the object will continue to show up in Metacat API's pathquery.

History

#1 - 02/13/2014 02:11 PM - ben leinfelder
- Description updated

- Assignee set to ben leinfelder

| added a comment in the code for where this could be done, but the actual method call is commented out.

#2 - 02/13/2014 02:25 PM - Matt Jones

In general this sounds good, but won't calling MN.archive() result in other side effects (like other changes to system metadata like the

datsysmetamodified, and logging it as an ARCHIVE event locally)? When we are simply recording a change to an object that some other node
initiated, we should try to do so without these side effects, as the change originated elsewhere and we are simply tracking it as a replica.

#3 - 10/21/2015 05:11 PM - Jing Tao

- Assignee changed from ben leinfelder to Jing Tao

#4 - 10/21/2015 05:11 PM - Jing Tao

- Status changed from New to In Progress

#5 - 11/02/2015 11:32 AM - Jing Tao

- Status changed from In Progress to Closed

This issue was fixed and tested.
